#include "main.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    First w;
    w.show();

    return a.exec();
}

First::First(QWidget *parent) : QDialog(parent)
{
    label = new QLabel("Hi",this);
    button = new QPushButton("Press",this);
    QVBoxLayout *layout = new QVBoxLayout(this);

    connect(button,SIGNAL(clicked()),this,SLOT(button_clicked()));

    layout->addWidget(label);
    layout->addWidget(button);

    setWindowTitle("First");
    setLayout(layout);
    resize(200,100);
}

void First::button_clicked()
{
    second = new Second(this);
    second->show();
    button->setEnabled(false);
}

void First::setMyText(const QString &text)
{
    label->setText(text);
}
